#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 validation-selective
version:              0.1.0.1
visibility:           public
id:                   validation-selective-0.1.0.1-1qmCvqMLIC8tSfFureeLE
key:                  validation-selective-0.1.0.1-1qmCvqMLIC8tSfFureeLE
license:              MPL-2.0
copyright:            2020-2021 Kowainik
maintainer:           Kowainik <xrom.xkov@gmail.com>
author:               Dmitrii Kovanikov, Veronika Romashkina
homepage:             https://github.com/kowainik/validation-selective
synopsis:
    Lighweight pure data validation based on Applicative and Selective functors

description:
    Lighweight pure data validation based on Applicative and Selective
    functors. The library builds validation interface around the
    following data type:

    @
    __data__ Validation e a
    \    = Failure e
    \    | Success a
    @

category:             Validation, Selective, Data
abi:                  4e58eaf19610086a372e0e5eec679c3f
exposed:              True
exposed-modules:      Validation Validation.Combinators
import-dirs:          /usr/lib/ghc-9.0.2/site-local/validation-selective-0.1.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/validation-selective-0.1.0.1
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/validation-selective-0.1.0.1

hs-libraries:         HSvalidation-selective-0.1.0.1-1qmCvqMLIC8tSfFureeLE
depends:
    base-4.15.1.0 deepseq-1.4.5.0 selective-0.5-KWNPhLHdiupJZ1m4za4duy

haddock-interfaces:
    /usr/share/doc/haskell-validation-selective/html/validation-selective.haddock

haddock-html:         /usr/share/doc/haskell-validation-selective/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

